#ifndef __LIBWEBOTS_COMMUNICATION_COMMUNICATION_H__
#define __LIBWEBOTS_COMMUNICATION_COMMUNICATION_H__

#include <libwebots/communication/client.hh>
#include <libwebots/communication/server.hh>

namespace libwebots
{

/**
 * @brief Communication between controllers and physics plugin
 *
 * Classes in this namespace are used for the communication between the
 * Webots controller and the physics plugin. They provide a basic Server/Client
 * communication model using UNIX domain sockets. A callback mechanism is used
 * to allow automatic delivery of particular message types to registered
 * member callback functions.
 *
 **/
namespace communication
{
}
}

#endif /* __WEBOTS_COMMUNICATION_COMMUNICATION_H__ */

