#include "debugbuilder.hh"

using namespace libwebots::plugin::modules::messages;
using namespace libwebots::communication;

Message
builders::Debug::Redirect(debug::Redirection::Values const &values)
{
	debug::Debug dbg;

	dbg.set_action(debug::Action::Redirect);
	dbg.set_redirection(values);

	return Messages::Create(debug::debug, dbg);
}

Message
builders::Debug::Enable(debug::Type::Values const &values)
{
	debug::Debug dbg;

	dbg.set_action(debug::Action::Enable);
	dbg.set_type(values);

	return Messages::Create(debug::debug, dbg);
}

Message
builders::Debug::Disable(debug::Type::Values const &values)
{
	debug::Debug dbg;

	dbg.set_action(debug::Action::Enable);
	dbg.set_type(values);

	return Messages::Create(debug::debug, dbg);
}
