#ifndef __LIBWEBOTS_PLUGIN_MODULES_MESSAGES_BUILDERS_DEBUG_HH_
#define __LIBWEBOTS_PLUGIN_MODULES_MESSAGES_BUILDERS_DEBUG_HH_

#include <libwebots/communication/messages.hh>
#include <libwebots/plugin/modules/debug/debug.pb.h>
#include <string>

namespace libwebots
{
namespace plugin
{
namespace modules
{
namespace messages
{
namespace builders
{
	class Debug
	{
		public:
			static communication::Message Redirect(debug::Redirection::Values const &values);
			static communication::Message Enable(debug::Type::Values const &values);
			static communication::Message Disable(debug::Type::Values const &values);
	};
}
}
}
}
}

#endif // __LIBWEBOTS_PLUGIN_MODULES_MESSAGES_BUILDERS_PUSH_HH_
