/**
 * \file profile.cc
 *
 *  \date Mar 2, 2011
 *  \author Alexandre Tuleu
 */

#include "profile.hh"

using namespace libwebots::plugin::modules::push;

Profile::Profile()
{
}

Profile::~Profile()
{
}

double Profile::Value(double ratioDone)
{
	if (ratioDone < 0.0)
	{
		ratioDone = 0.0;
	}

	if (ratioDone > 1.0)
	{
		ratioDone = 1.0;
	}

	return ComputeValue(ratioDone);
}
