#ifndef __LIBWEBOTS_PLUGIN_DEFINITIONS_H__
#define __LIBWEBOTS_PLUGIN_DEFINITIONS_H__

#ifdef __cplusplus
#define BEGIN_PROTECT_C extern "C" {
#else
#define BEGIN_PROTECT_C
#endif

#ifdef __cplusplus
#define END_PROTECT_C }
#else
#define END_PROTECT_C
#endif

#include <plugins/physics.h>

BEGIN_PROTECT_C

void webots_physics_init (dWorldID, dSpaceID, dJointGroupID);
void webots_physics_step (void);
void webots_physics_step_end (void);
int webots_physics_collide (dGeomID, dGeomID);
void webots_physics_draw (void);
void webots_physics_predraw (void);
void webots_physics_cleanup (void);

void webots_plugin_register_modules (void);

END_PROTECT_C

#endif /* __LIBWEBOTS_PLUGIN_DEFINITIONS_H__ */

