/**
 * \file fixed.cc
 *
 *  \date Feb 8, 2013
 *  \author Alexandre Tuleu
 */

#include "fixed.hh"


using namespace libwebots::plugin::modules::jointmanager;
using namespace libwebots::plugin::modules::messages::jointmanager;



void Fixed::SetParameter(int parameter, double value,unsigned int)
{
	if(!*this) { return; }
	dJointSetFixedParam(Id(),parameter,value);
}



void Fixed::AddEffort(const Eigen::Vector3d & )
{
}



void Fixed::ComputeCoordinateAndRate(double)
{
}

unsigned int Fixed::Dimension() const {
	return 0;
}


dJointID Fixed::CreatePrimpl(dWorldID world, dJointGroupID group)
{
	if(*this) { return 0; }
	return dJointCreateFixed(world,group);
}


void Fixed::Draw(double){}
