#ifndef __LIBWEBOTS_TOOLS_PROTODOC_H__
#define __LIBWEBOTS_TOOLS_PROTODOC_H__

#include <string>
#include <google/protobuf/descriptor.h>
#include <iosfwd>

namespace libwebots
{
namespace tools
{
namespace protodoc
{
	class ProtoDoc
	{
		public:
			ProtoDoc(int argc, char * const *argv);

			int Run();
		private:
			bool Generate(std::string const &filename,
			              std::ostream &output);
			bool Generate(std::string const &filename,
			              google::protobuf::FileDescriptorProto const &fd,
			              std::ostream &output);
	};
}
}
}

#endif /* __LIBWEBOTS_TOOLS_PROTODOC_H__ */

